Name: rarian
Version: 0.8.1
Release: 24
License: LGPLv2+
Summary: Documentation meta-data library
URL: http://rarian.freedesktop.org/
Source: http://download.gnome.org/sources/rarian/0.8/rarian-%{version}.tar.bz2
#This is from http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd
Source1: scrollkeeper-omf.dtd

Patch1: rarian-0.8.1-categories.patch

Requires(post): libxml2
Requires(postun): libxml2
Requires: libxslt coreutils util-linux gawk

BuildRequires: gcc-c++ libxslt-devel chrpath

%description
Rarian is designed to be a replacement for scrollkeeper.  It is
currently undergoing heavy development.  As of writing, rarian can be
installed in place of scrollkeeper and everything will work okay (as
far as my testing indicates)

%package compat
License: GPLv2+
Summary: Extra files for compatibility with scrollkeeper
Requires: rarian = %{version}-%{release}
Requires(post): rarian
Provides: scrollkeeper = 0.4
Obsoletes: scrollkeeper <= 0.3.14

%description compat
This package contains files needed to maintain backward-compatibility with
scrollkeeper.

%package devel
Summary: Development files for Rarian
Requires: rarian = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains files required to develop applications that use the
Rarian library ("librarian").

%package_help

%prep
%autosetup -p1

%build
%configure --disable-skdb-update
%make_build V=1

%install
%make_install
mkdir -p %buildroot%{_datadir}/xml/scrollkeeper/dtds
cp %{SOURCE1} %buildroot%{_datadir}/xml/scrollkeeper/dtds
%delete_la_and_a

# remove rpath
chrpath -d %buildroot%{_bindir}/rarian-example
chrpath -d %buildroot%{_bindir}/rarian-sk-preinstall
chrpath -d %buildroot%{_bindir}/rarian-sk-get-cl
chrpath -d %buildroot%{_bindir}/rarian-sk-migrate
chrpath -d %buildroot%{_bindir}/rarian-sk-gen-uuid

%post -p /sbin/ldconfig

%post compat
%{_bindir}/rarian-sk-update
# Add OMF DTD to XML catalog.
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
  "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd" \
  "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG >& /dev/null || :
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
  "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd" \
  "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG >& /dev/null || :

%postun -p /sbin/ldconfig

%postun compat

# Delete OMF DTD from XML catalog.
if [ $1 = 0 ]; then
  CATALOG=/etc/xml/catalog
  /usr/bin/xmlcatalog --noout --del \
    "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG >& /dev/null || :
fi

%files
%license COPYING COPYING.LIB COPYING.UTILS AUTHORS
%doc README ChangeLog NEWS
%{_bindir}/rarian-example
%{_libdir}/librarian.so.*
%{_datadir}/librarian

%files compat
%{_bindir}/rarian-sk-*
%{_bindir}/scrollkeeper-*
%{_datadir}/xml/scrollkeeper

%files devel
%{_includedir}/rarian
%{_libdir}/librarian.so
%{_libdir}/pkgconfig/rarian.pc

%files help
%{_datadir}/help

%changelog
* Wed Sep 08 2021 shixuantong <shixuantong@huawei.com> - 0.8.1-24
- remove rpath

* Thu Oct 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.1-23
- spec modified

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.1-22
- Package init
